package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 好友关系表
 * @TableName friend_relation
 */
@TableName(value ="friend_relation")
@Data
public class FriendRelation implements Serializable {
    /**
     * 关系id
     */
    @TableId
    private String id;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 好友ID
     */
    private String friendId;

    /**
     * 好友备注
     */
    private String remark;

    /**
     * 好友分组
     */
    private String groupName;

    /**
     * 是否置顶 0否 1是
     */
    private Integer isTop;

    /**
     * 是否静音 0否 1是
     */
    private Integer isMute;

    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableLogic(value = "1",delval = "2")
    private Integer deleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
