package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 媒体消息内容表
 * @TableName message_content_media
 */
@TableName(value ="message_content_media")
@Data
public class MessageContentMedia implements Serializable {
    /**
     * 内容ID
     */
    @TableId
    private String id;

    /**
     * 文件URL
     */
    private String fileUrl;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件大小
     */
    private String fileSize;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 时长 秒
     */
    private Integer duration;

    /**
     * 宽度（针对图片/视频）
     */
    private Integer width;

    /**
     * 高度（针对图片/视频）
     */
    private Integer height;

    /**
     * 缩略图URL
     */
    private String thumbUrl;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
