package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 消息状态表
 * @TableName message_status
 */
@TableName(value ="message_status")
@Data
public class MessageStatus implements Serializable {
    /**
     * 状态ID
     */
    @TableId
    private String id;

    /**
     * 消息唯一标识
     */
    private String messageId;

    /**
     * 接收这ID
     */
    private String receiverId;

    /**
     * 状态（0未发送 1已发送 2已接收 3已阅读）
     */
    private Integer status;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
